%define Werror_cflags %{nil}

Summary:	GTK+ frontend to the su and sudo programs
Name:		gksu
Version:	2.0.2
Release:	15
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://www.nongnu.org/gksu/
Source0:	http://people.debian.org/~kov/gksu/gksu/%{name}-%{version}.tar.bz2
Patch0:		gksu-2.0.2-use-xvt-for-terminal.patch
Patch1:		gksu-2.0.2-fix-nautilus-link.patch
Patch2:		gksu-2.0.2-fixglibinclude.patch
Patch3:		02_format_security.patch
Patch4:		gksu-2.0.2-ru.patch
BuildRequires:	pkgconfig(libgksu2)
BuildRequires:	intltool

%description
gksu is a Gtk+ frontend to /bin/su. It supports login shells and preserving
environment when acting as a su frontend. It is useful to menu items or
other graphical programs that need to ask a user's password to run another
program as another user.

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/*
%{_datadir}/pixmaps/*.png
%{_datadir}/%{name}
%{_mandir}/man1/*.1.*

%post
if [ -e /etc/gksu.conf ]; then
   sh %{_datadir}/%{name}/gksu-migrate-conf.sh
fi

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x --enable-nautilus-extension=no
%make

%install
%makeinstall_std

#we don't need .desktop file
rm -rf %{buildroot}%{_datadir}/applications

%find_lang %{name}


%changelog

* Thu Dec 07 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.0.2-15
- (80adef1) Add format security patch from Debian
- (80adef1) Add patch to fix Russian error message when incorrect password was given 3 times


